View Issue Details

IDProjectCategoryView StatusLast Update
0004838SymmetricDSNew Featurepublic2021-02-25 21:33
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.7 
Target Version3.12.7Fixed in Version3.12.7 
Summary0004838: New extension point that can be used while obtaining a list of tables for a given trigger configuration
DescriptionExtension point for expanding the provided source trigger name to multiple tables.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 9ccc7e9a

2021-02-17 21:32:24

joshhicks

Details Diff
0004838: New extension point that can be used while obtaining a list of
tables for a given trigger configuration
Affected Issues
0004838
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/table-triggers/expandable.ad Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/config/ITableResolver.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerHistory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.12 e773bbe7

2021-02-19 17:56:20

joshhicks

Details Diff
0004838: New extension point that can be used while obtaining a list of
tables for a given trigger configuration
Affected Issues
0004838
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/config/ITableResolver.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2021-02-17 21:31 josh-a-hicks New Issue
2021-02-17 21:31 josh-a-hicks Status new => assigned
2021-02-17 21:31 josh-a-hicks Assigned To => josh-a-hicks
2021-02-17 22:00 Changeset attached => SymmetricDS 3.12 9ccc7e9a
2021-02-19 17:58 josh-a-hicks Status assigned => resolved
2021-02-19 17:58 josh-a-hicks Resolution open => fixed
2021-02-19 17:58 josh-a-hicks Fixed in Version => 3.12.7
2021-02-19 18:00 Changeset attached => SymmetricDS 3.12 e773bbe7
2021-02-25 21:33 admin Status resolved => closed